Bug 35876 - Incorrect return of DateTime.ToUniversalTime method for DateTime.MaxValue.
Summary: Incorrect return of DateTime.ToUniversalTime method for DateTime.MaxValue.
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-11-15 13:31 UTC by FernandoVM
Modified: 2016-02-10 09:55 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description FernandoVM 2015-11-15 13:31:32 UTC
Overview
========

The method ToUniversalTime, when called over DateTime.MaxValue, returns DateTime.MinValue.


Steps to Reproduce
==================

Just run the unit test bellow:

[TestMethod]
public void DateTimeMaxValueToUniversalTimeTest()
{
    var maxValue = DateTime.MaxValue;

    Assert.AreEqual(3155378975999999999, maxValue.Ticks, "Invalid max ticks.");
    Assert.AreEqual(maxValue, maxValue.ToUniversalTime(), "Invalid max value.");
}


Actual Results
==============

The test fails in both Android and iOS platforms and pass in .net (non-xamarin) platform.


Expected Results
================ 

The test must pass in all platforms.


Build Date & Platform
=====================

Xamarin 3.11.1594.0 
Xamarin.Android 5.1.7.12
Xamarin.iOS 9.1.0.31 | Build Host 3.11.0.1593
Comment 1 Marek Safar 2016-01-28 12:56:33 UTC
I cannot reproduce it

    class MainClass
    {
        public static void Main()
        {
            var maxValue = DateTime.MaxValue;

            var ut = maxValue.ToUniversalTime();

            Console.WriteLine(maxValue == ut);
        }
    }

prints False on .net too.
Comment 2 FernandoVM 2016-01-28 20:05:46 UTC
For me prints true on .net, but false on xamarin.

How can I help more?
Comment 3 Marek Safar 2016-01-29 08:23:26 UTC
What .net version do you have and what OS 64 vs 32 bit?
Comment 4 FernandoVM 2016-01-30 11:39:59 UTC
I'm using the .NET Framework 4.6.1 and the Windows 10 x64.
Comment 5 Marek Safar 2016-01-31 08:01:00 UTC
OK. Could you run following program and attach the output

using System;

class MainClass
{
    public static void Main()
    {
        var maxValue = DateTime.MaxValue;

        var ut = maxValue.ToUniversalTime();

        Console.WriteLine(System.Globalization.CultureInfo.CurrentCulture);
        Console.WriteLine(System.TimeZone.CurrentTimeZone.StandardName);
        Console.WriteLine(maxValue.Ticks);
        Console.WriteLine(ut.Ticks);
        Console.WriteLine(maxValue == ut);
    }
}
Comment 6 FernandoVM 2016-01-31 11:15:00 UTC
Output
==============================

pt-BR
Hora oficial do Brasil
3155378975999999999
3155378975999999999
True
Comment 7 Marek Safar 2016-02-01 10:21:31 UTC
DateTime.MaxValue is DateTime of Unspecified kind which means it uses Local rules. See e.g. https://msdn.microsoft.com/en-us/library/system.datetime.touniversaltime(v=vs.110).aspx

"Hora oficial do Brasil" is UTC+ timezone so there is nothing to be added to maxvalue (it has max value) but when you change your timezone to any UTC- you get different values on .net as well. So in short your test is wrong because it depends on local time zone settings.
Comment 8 FernandoVM 2016-02-05 10:01:39 UTC
I don't understand completely. When exactly (or in which timezone) is "correct" or "previsible" the expression DateTime.MaxValue.ToUniversalTime() returns DateTime.MinValue? There are some specific circumstances that is expected?
Comment 9 Marek Safar 2016-02-05 10:37:41 UTC
DateTime.MaxValue.ToUniversalTime() returns same value for all time zones which are UTC+ (that's from UTC+0 to UTC+14) because the max value cannot overflow.

For any time zones which are UTC- (that's from UTC-1 to UTC-12) the comparison will return false.

[https://en.wikipedia.org/wiki/List_of_UTC_time_offsets]
Comment 10 FernandoVM 2016-02-05 21:03:12 UTC
Maybe I'm not able to explain properly. Please, run the code bellow on both platforms (.net and xamarin) and compare the results. 


var _now = DateTime.Now;
var _max = DateTime.MaxValue;

foreach (var timeZoneInfo in TimeZoneInfo.GetSystemTimeZones())
{
    var now = TimeZoneInfo.ConvertTime(_now, timeZoneInfo);
    var max = TimeZoneInfo.ConvertTime(_max, timeZoneInfo);

    Console.WriteLine("TimeZone={0}; Now={1}; NowUTC={2}; Max={3}, MaxUTC={4}",
    timeZoneInfo, now, now.ToUniversalTime(), max, max.ToUniversalTime());
}


On .net I never get the date '01/01/0001' when I do DateTime.MaxValue.ToUniversalTime(), but on xamarin happens and the result has many differences.
Comment 11 Marek Safar 2016-02-09 14:33:37 UTC
Using Mono 4.2 I get following output

TimeZone=Africa/Abidjan; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Accra; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Addis_Ababa; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Algiers; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Asmara; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Asmera; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Bamako; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Bangui; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Banjul; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Bissau; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Blantyre; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Brazzaville; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Bujumbura; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Cairo; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Casablanca; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Ceuta; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Conakry; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Dakar; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Dar_es_Salaam; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Djibouti; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Douala; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/El_Aaiun; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Freetown; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Gaborone; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Harare; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Johannesburg; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Juba; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Kampala; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Khartoum; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Kigali; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Kinshasa; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Lagos; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Libreville; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Lome; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Luanda; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Lubumbashi; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Lusaka; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Malabo; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Maputo; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Maseru; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Mbabane; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Mogadishu; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Monrovia; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Nairobi; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Ndjamena; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Niamey; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Nouakchott; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Ouagadougou; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Porto-Novo; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Sao_Tome; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Timbuktu; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Africa/Tripoli; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Tunis; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Africa/Windhoek; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=America/Adak; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=America/Anchorage; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=America/Anguilla; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Antigua; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Araguaina; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Aruba; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Asuncion; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Atikokan; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Atka; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=America/Bahia; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Bahia_Banderas; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Barbados; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Belem; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Belize; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Blanc-Sablon; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Boa_Vista; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Bogota; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Boise; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Buenos_Aires; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Cambridge_Bay; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Campo_Grande; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Cancun; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Caracas; Now=09/02/2016 10:01:25; NowUTC=09/02/2016 09:01:25; Max=31/12/9999 18:29:59, MaxUTC=31/12/9999 17:29:59
TimeZone=America/Catamarca; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Cayenne; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Cayman; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Chicago; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Chihuahua; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Coral_Harbour; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Cordoba; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Costa_Rica; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Creston; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Cuiaba; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Curacao; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Danmarkshavn; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=America/Dawson; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Dawson_Creek; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Denver; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Detroit; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Dominica; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Edmonton; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Eirunepe; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/El_Salvador; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Ensenada; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Fort_Nelson; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Fort_Wayne; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Fortaleza; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Glace_Bay; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Godthab; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Goose_Bay; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Grand_Turk; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Grenada; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Guadeloupe; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Guatemala; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Guayaquil; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Guyana; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Halifax; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Havana; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Hermosillo; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Indianapolis; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Inuvik; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Iqaluit; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Jamaica; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Jujuy; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Juneau; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=America/Knox_IN; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Kralendijk; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/La_Paz; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Lima; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Los_Angeles; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Louisville; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Lower_Princes; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Maceio; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Managua; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Manaus; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Marigot; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Martinique; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Matamoros; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Mazatlan; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Mendoza; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Menominee; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Merida; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Metlakatla; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Mexico_City; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Miquelon; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Moncton; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Monterrey; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Montevideo; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Montreal; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Montserrat; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Nassau; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/New_York; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Nipigon; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Nome; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=America/Noronha; Now=09/02/2016 12:31:25; NowUTC=09/02/2016 11:31:25; Max=31/12/9999 20:59:59, MaxUTC=31/12/9999 19:59:59
TimeZone=America/Ojinaga; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Panama; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Pangnirtung; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Paramaribo; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Phoenix; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Port-au-Prince; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Port_of_Spain; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Porto_Acre; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Porto_Velho; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Puerto_Rico; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Rainy_River; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Rankin_Inlet; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Recife; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Regina; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Resolute; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Rio_Branco; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Rosario; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Santa_Isabel; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Santarem; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Santiago; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Santo_Domingo; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Sao_Paulo; Now=09/02/2016 12:31:25; NowUTC=09/02/2016 11:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=America/Scoresbysund; Now=09/02/2016 13:31:25; NowUTC=09/02/2016 12:31:25; Max=31/12/9999 21:59:59, MaxUTC=31/12/9999 20:59:59
TimeZone=America/Shiprock; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=America/Sitka; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=America/St_Barthelemy; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/St_Johns; Now=09/02/2016 11:01:25; NowUTC=09/02/2016 10:01:25; Max=31/12/9999 19:29:59, MaxUTC=31/12/9999 18:29:59
TimeZone=America/St_Kitts; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/St_Lucia; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/St_Thomas; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/St_Vincent; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Swift_Current; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Tegucigalpa; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Thule; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Thunder_Bay; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Tijuana; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Toronto; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=America/Tortola; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Vancouver; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Virgin; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=America/Whitehorse; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=America/Winnipeg; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=America/Yakutat; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=America/Yellowknife; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=Antarctica/Casey; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Davis; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/DumontDUrville; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Macquarie; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Mawson; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/McMurdo; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Palmer; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=Antarctica/Rothera; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=Antarctica/South_Pole; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Syowa; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Antarctica/Troll; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Antarctica/Vostok; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Arctic/Longyearbyen; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Aden; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Almaty; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Amman; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Anadyr; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Aqtau; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Aqtobe; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ashgabat; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ashkhabad; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Baghdad; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Bahrain; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Baku; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Bangkok; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Beirut; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Bishkek; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Brunei; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Calcutta; Now=09/02/2016 20:01:25; NowUTC=09/02/2016 19:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Chita; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Choibalsan; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Chongqing; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Chungking; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Colombo; Now=09/02/2016 20:01:25; NowUTC=09/02/2016 19:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Dacca; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Damascus; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Dhaka; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Dili; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Dubai; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Dushanbe; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Gaza; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Harbin; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Hebron; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ho_Chi_Minh; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Hong_Kong; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Hovd; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Irkutsk; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Istanbul; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Jakarta; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Jayapura; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Jerusalem; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kabul; Now=09/02/2016 19:01:25; NowUTC=09/02/2016 18:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kamchatka; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Karachi; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kashgar; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kathmandu; Now=09/02/2016 20:16:25; NowUTC=09/02/2016 19:16:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Katmandu; Now=09/02/2016 20:16:25; NowUTC=09/02/2016 19:16:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Khandyga; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kolkata; Now=09/02/2016 20:01:25; NowUTC=09/02/2016 19:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Krasnoyarsk; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kuala_Lumpur; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kuching; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Kuwait; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Macao; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Macau; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Magadan; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Makassar; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Manila; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Muscat; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Nicosia; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Novokuznetsk; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Novosibirsk; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Omsk; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Oral; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Phnom_Penh; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Pontianak; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Pyongyang; Now=09/02/2016 23:01:25; NowUTC=09/02/2016 22:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Qatar; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Qyzylorda; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Rangoon; Now=09/02/2016 21:01:25; NowUTC=09/02/2016 20:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Riyadh; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Saigon; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Sakhalin; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Samarkand; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Seoul; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Shanghai; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Singapore; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Srednekolymsk; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Taipei; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Tashkent; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Tbilisi; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Tehran; Now=09/02/2016 18:01:25; NowUTC=09/02/2016 17:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Tel_Aviv; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Thimbu; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Thimphu; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Tokyo; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ujung_Pandang; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ulaanbaatar; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ulan_Bator; Now=09/02/2016 22:31:25; NowUTC=09/02/2016 21:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Urumqi; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Ust-Nera; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Vientiane; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Vladivostok; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Yakutsk; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Yekaterinburg; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Asia/Yerevan; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Atlantic/Azores; Now=09/02/2016 13:31:25; NowUTC=09/02/2016 12:31:25; Max=31/12/9999 21:59:59, MaxUTC=31/12/9999 20:59:59
TimeZone=Atlantic/Bermuda; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=Atlantic/Canary; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/Cape_Verde; Now=09/02/2016 13:31:25; NowUTC=09/02/2016 12:31:25; Max=31/12/9999 21:59:59, MaxUTC=31/12/9999 20:59:59
TimeZone=Atlantic/Faeroe; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/Faroe; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/Jan_Mayen; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Atlantic/Madeira; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/Reykjavik; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/South_Georgia; Now=09/02/2016 12:31:25; NowUTC=09/02/2016 11:31:25; Max=31/12/9999 20:59:59, MaxUTC=31/12/9999 19:59:59
TimeZone=Atlantic/St_Helena; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Atlantic/Stanley; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=Brazil/Acre; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=Brazil/DeNoronha; Now=09/02/2016 12:31:25; NowUTC=09/02/2016 11:31:25; Max=31/12/9999 20:59:59, MaxUTC=31/12/9999 19:59:59
TimeZone=Brazil/East; Now=09/02/2016 12:31:25; NowUTC=09/02/2016 11:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=Brazil/West; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=Canada/Atlantic; Now=09/02/2016 10:31:25; NowUTC=09/02/2016 09:31:25; Max=31/12/9999 18:59:59, MaxUTC=31/12/9999 17:59:59
TimeZone=Canada/Central; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=Canada/East-Saskatchewan; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=Canada/Eastern; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=Canada/Mountain; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=Canada/Newfoundland; Now=09/02/2016 11:01:25; NowUTC=09/02/2016 10:01:25; Max=31/12/9999 19:29:59, MaxUTC=31/12/9999 18:29:59
TimeZone=Canada/Pacific; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=Canada/Saskatchewan; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=Canada/Yukon; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=Chile/Continental; Now=09/02/2016 11:31:25; NowUTC=09/02/2016 10:31:25; Max=31/12/9999 19:59:59, MaxUTC=31/12/9999 18:59:59
TimeZone=Chile/EasterIsland; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=Europe/Amsterdam; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Andorra; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Athens; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Belfast; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Belgrade; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Berlin; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Bratislava; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Brussels; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Bucharest; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Budapest; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Busingen; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Chisinau; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Copenhagen; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Dublin; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Gibraltar; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Guernsey; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Helsinki; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Isle_of_Man; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Istanbul; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Jersey; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Kaliningrad; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Kiev; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Lisbon; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Ljubljana; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/London; Now=09/02/2016 14:31:25; NowUTC=09/02/2016 13:31:25; Max=31/12/9999 22:59:59, MaxUTC=31/12/9999 21:59:59
TimeZone=Europe/Luxembourg; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Madrid; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Malta; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Mariehamn; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Minsk; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Monaco; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Moscow; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Nicosia; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Oslo; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Paris; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Podgorica; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Prague; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Riga; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Rome; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Samara; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/San_Marino; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Sarajevo; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Simferopol; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Skopje; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Sofia; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Stockholm; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Tallinn; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Tirane; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Tiraspol; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Uzhgorod; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Vaduz; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Vatican; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Vienna; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Vilnius; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Volgograd; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Warsaw; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Zagreb; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Zaporozhye; Now=09/02/2016 16:31:25; NowUTC=09/02/2016 15:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Europe/Zurich; Now=09/02/2016 15:31:25; NowUTC=09/02/2016 14:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Antananarivo; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Chagos; Now=09/02/2016 20:31:25; NowUTC=09/02/2016 19:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Christmas; Now=09/02/2016 21:31:25; NowUTC=09/02/2016 20:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Cocos; Now=09/02/2016 21:01:25; NowUTC=09/02/2016 20:01:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Comoro; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Kerguelen; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Mahe; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Maldives; Now=09/02/2016 19:31:25; NowUTC=09/02/2016 18:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Mauritius; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Mayotte; Now=09/02/2016 17:31:25; NowUTC=09/02/2016 16:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Indian/Reunion; Now=09/02/2016 18:31:25; NowUTC=09/02/2016 17:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Mexico/BajaNorte; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=Mexico/BajaSur; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=Mexico/General; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=Pacific/Apia; Now=10/02/2016 04:31:25; NowUTC=10/02/2016 03:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Auckland; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Bougainville; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Chatham; Now=10/02/2016 04:16:25; NowUTC=10/02/2016 03:16:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Chuuk; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Easter; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=Pacific/Efate; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Enderbury; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Fakaofo; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Fiji; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Funafuti; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Galapagos; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=Pacific/Gambier; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=Pacific/Guadalcanal; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Guam; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Honolulu; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=Pacific/Johnston; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=Pacific/Kiritimati; Now=10/02/2016 04:31:25; NowUTC=10/02/2016 03:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Kosrae; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Kwajalein; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Majuro; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Marquesas; Now=09/02/2016 05:01:25; NowUTC=09/02/2016 04:01:25; Max=31/12/9999 13:29:59, MaxUTC=31/12/9999 12:29:59
TimeZone=Pacific/Midway; Now=09/02/2016 03:31:25; NowUTC=09/02/2016 02:31:25; Max=31/12/9999 11:59:59, MaxUTC=31/12/9999 10:59:59
TimeZone=Pacific/Nauru; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Niue; Now=09/02/2016 03:31:25; NowUTC=09/02/2016 02:31:25; Max=31/12/9999 11:59:59, MaxUTC=31/12/9999 10:59:59
TimeZone=Pacific/Norfolk; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Noumea; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Pago_Pago; Now=09/02/2016 03:31:25; NowUTC=09/02/2016 02:31:25; Max=31/12/9999 11:59:59, MaxUTC=31/12/9999 10:59:59
TimeZone=Pacific/Palau; Now=09/02/2016 23:31:25; NowUTC=09/02/2016 22:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Pitcairn; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=Pacific/Pohnpei; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Ponape; Now=10/02/2016 01:31:25; NowUTC=10/02/2016 00:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Port_Moresby; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Rarotonga; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=Pacific/Saipan; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Samoa; Now=09/02/2016 03:31:25; NowUTC=09/02/2016 02:31:25; Max=31/12/9999 11:59:59, MaxUTC=31/12/9999 10:59:59
TimeZone=Pacific/Tahiti; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=Pacific/Tarawa; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Tongatapu; Now=10/02/2016 03:31:25; NowUTC=10/02/2016 02:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Truk; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Wake; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Wallis; Now=10/02/2016 02:31:25; NowUTC=10/02/2016 01:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=Pacific/Yap; Now=10/02/2016 00:31:25; NowUTC=09/02/2016 23:31:25; Max=31/12/9999 23:59:59, MaxUTC=31/12/9999 22:59:59
TimeZone=US/Alaska; Now=09/02/2016 05:31:25; NowUTC=09/02/2016 04:31:25; Max=31/12/9999 13:59:59, MaxUTC=31/12/9999 12:59:59
TimeZone=US/Aleutian; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=US/Arizona; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=US/Central; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=US/East-Indiana; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=US/Eastern; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=US/Hawaii; Now=09/02/2016 04:31:25; NowUTC=09/02/2016 03:31:25; Max=31/12/9999 12:59:59, MaxUTC=31/12/9999 11:59:59
TimeZone=US/Indiana-Starke; Now=09/02/2016 08:31:25; NowUTC=09/02/2016 07:31:25; Max=31/12/9999 16:59:59, MaxUTC=31/12/9999 15:59:59
TimeZone=US/Michigan; Now=09/02/2016 09:31:25; NowUTC=09/02/2016 08:31:25; Max=31/12/9999 17:59:59, MaxUTC=31/12/9999 16:59:59
TimeZone=US/Mountain; Now=09/02/2016 07:31:25; NowUTC=09/02/2016 06:31:25; Max=31/12/9999 15:59:59, MaxUTC=31/12/9999 14:59:59
TimeZone=US/Pacific; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=US/Pacific-New; Now=09/02/2016 06:31:25; NowUTC=09/02/2016 05:31:25; Max=31/12/9999 14:59:59, MaxUTC=31/12/9999 13:59:59
TimeZone=US/Samoa; Now=09/02/2016 03:31:25; NowUTC=09/02/2016 02:31:25; Max=31/12/9999 11:59:59, MaxUTC=31/12/9999 10:59:59
Comment 12 FernandoVM 2016-02-09 18:24:20 UTC
Ok, on mono 4.2 you never gets the date '01/01/0001' when invoke DateTime.MaxValue.ToUniversalTime() also, then please, run the bellow code on a xamarin android app:

///////------------ Main.axml
<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent">
    <TextView
        android:text="00/00/0000 00:00:00"
        android:textAppearance="?android:attr/textAppearanceLarge"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/textView1" />
    <Button
        android:id="@+id/NowButton"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:text="DateTime.Now" />
    <Button
        android:id="@+id/NowUtcButton"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:text="DateTime.Now.ToUniversalTime()" />
    <Button
        android:id="@+id/MaxButton"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:text="DateTime.MaxValue" />
    <Button
        android:id="@+id/MaxUtcButton"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:text="DateTime.MaxValue.ToUniversalTime()" />
</LinearLayout>


///////------------ MainActivity.cs 
[Activity(Label = "Xam.DroidApp", MainLauncher = true, Icon = "@drawable/icon")]
public class MainActivity : Activity
{
    protected override void OnCreate(Bundle bundle)
    {
        base.OnCreate(bundle);

        SetContentView(Resource.Layout.Main);

        var textView = FindViewById<TextView>(Resource.Id.textView1);            

        var nowButton = FindViewById<Button>(Resource.Id.NowButton);
        nowButton.Click += delegate { textView.Text = DateTime.Now.ToString(); };

        var nowUtcButton = FindViewById<Button>(Resource.Id.NowUtcButton);
        nowUtcButton.Click += delegate { textView.Text = DateTime.Now.ToUniversalTime().ToString(); };

        var maxButton = FindViewById<Button>(Resource.Id.MaxButton);
        maxButton.Click += delegate { textView.Text = DateTime.MaxValue.ToString(); };

        var maxUtcButton = FindViewById<Button>(Resource.Id.MaxUtcButton);
        maxUtcButton.Click += delegate { textView.Text = DateTime.MaxValue.ToUniversalTime().ToString(); };
    }
}


Which the result when you click on MaxUtcButton? For me is showed '1/1/0001 12:00:00 AM' and seems me wrong, whats you think about?
Comment 13 Marek Safar 2016-02-10 09:26:16 UTC
Fixed in master and Mono 4.3.2
Comment 14 FernandoVM 2016-02-10 09:55:43 UTC
Excellent, thank you very much by your attention.